import { r as registerInstance, h, H as Host, g as getElement } from './index-148a7577.js';

const NavigationTabPanel = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.tab = undefined;
        this.isVisible = false;
    }
    render() {
        return (h(Host, { key: 'c87f7d80779bf254ffeca53fcb894d2b9743fcfe' }, h("div", { key: 'c2409228cd17dc3ecd69ce6329ab83fa9d4bf2d4', id: `tabpanel-${this.tab}`, role: "tabpanel", "aria-labelledby": `tab-${this.tab}`, style: {
                display: this.isVisible ? 'initial' : 'none',
                overflowX: 'hidden',
                overflowY: 'auto'
            } }, h("slot", { key: '2009bb3458e9186158b893782ac6081846003d17' }))));
    }
    get hostElement() { return getElement(this); }
};

export { NavigationTabPanel as digi_tablist_panel };
